curl --request GET \
--url https://api.bonifiq.com.br/v1/pvt/Order/{orderId} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.bonifiq.com.br/v1/pvt/Order/{orderId}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.bonifiq.com.br/v1/pvt/Order/{orderId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.bonifiq.com.br/v1/pvt/Order/{orderId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.bonifiq.com.br/v1/pvt/Order/{orderId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.bonifiq.com.br/v1/pvt/Order/{orderId}")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.bonifiq.com.br/v1/pvt/Order/{orderId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body{
"Id": 123,
"OriginalId": "<string>",
"OrderPlacementDate": "2023-11-07T05:31:56Z",
"OrderCompletedDate": "2023-11-07T05:31:56Z",
"OrderCancelledDate": "2023-11-07T05:31:56Z",
"OrderStatus": "<string>",
"IsCancelledOrReturned": true,
"IsCompleted": true,
"OrderTotal": 123,
"Customer": {
"Id": 123,
"OriginalId": "<string>",
"Name": "<string>",
"Email": "<string>",
"Locale": "<string>",
"Phone": "<string>",
"BirthdayDate": "2023-11-07T05:31:56Z",
"SignupDate": "2023-11-07T05:31:56Z",
"Document": "<string>",
"IsEnrolled": true,
"PointsBalance": 123,
"BalanceOfPoints": 123,
"Cashback": 123,
"BirthdayUpdateDate": "2023-11-07T05:31:56Z",
"FirstName": "<string>",
"PublicId": "<string>",
"SecondaryId": "<string>",
"OrderCount": 123,
"ReasonEnrolled": "<string>",
"AdminId": 123,
"EmailAdmin": "<string>",
"EnrolledDate": "2023-11-07T05:31:56Z",
"TierName": "<string>",
"Origin": 0,
"RfmGroup": 0,
"RfmGroupName": "<string>",
"SegmentTags": [
"<string>"
],
"Affiliate": {
"Id": 123,
"CustomerId": 123,
"IsActive": true,
"AffiliateCoupon": "<string>",
"LastUpdated": "2023-11-07T05:31:56Z",
"CouponHistories": [
{
"Id": 123,
"AffiliateId": 123,
"Coupon": "<string>",
"AssociatedDate": "2023-11-07T05:31:56Z"
}
]
},
"AffiliateCode": "<string>",
"AffiliateCodeAssignedAt": "2023-11-07T05:31:56Z"
},
"Products": [
{
"OriginalId": "<string>",
"Title": "<string>",
"Url": "<string>",
"ImageUrl": "<string>",
"IsActive": true,
"ProductPrice": 123
}
],
"UpdatedDate": "2023-11-07T05:31:56Z",
"Coupon": "<string>",
"State": 0,
"Origin": 0,
"Branch": {
"Id": 123,
"OriginalId": "<string>",
"Name": "<string>"
},
"TenantSalesman": {
"Id": 123,
"OriginalId": "<string>",
"Name": "<string>",
"Store": "<string>",
"Branch": {
"Id": 123,
"OriginalId": "<string>",
"Name": "<string>"
},
"BranchId": 123
},
"Metadatas": [
{
"Id": 123,
"OrderId": 123,
"Name": "<string>",
"Value": "<string>"
}
],
"ExternalCoupon": "<string>",
"RedeemedReward": {
"Id": 123,
"ExternalCode": "<string>",
"CashValue": 123,
"IsCanceled": true,
"RedeemDate": "2023-11-07T05:31:56Z",
"Points": {
"Id": 123,
"Points": 123,
"Type": 0,
"EventKey": "<string>"
},
"Coupon": {
"CouponCode": "<string>",
"CreatedDate": "2023-11-07T05:31:56Z",
"IsUsed": true,
"CouponValue": 123,
"CustomerId": 123,
"ValidDateStart": "2023-11-07T05:31:56Z",
"ValidDateEnd": "2023-11-07T05:31:56Z",
"CouponType": 0
}
}
}Get v1pvtorder
curl --request GET \
--url https://api.bonifiq.com.br/v1/pvt/Order/{orderId} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.bonifiq.com.br/v1/pvt/Order/{orderId}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.bonifiq.com.br/v1/pvt/Order/{orderId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.bonifiq.com.br/v1/pvt/Order/{orderId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.bonifiq.com.br/v1/pvt/Order/{orderId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.bonifiq.com.br/v1/pvt/Order/{orderId}")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.bonifiq.com.br/v1/pvt/Order/{orderId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body{
"Id": 123,
"OriginalId": "<string>",
"OrderPlacementDate": "2023-11-07T05:31:56Z",
"OrderCompletedDate": "2023-11-07T05:31:56Z",
"OrderCancelledDate": "2023-11-07T05:31:56Z",
"OrderStatus": "<string>",
"IsCancelledOrReturned": true,
"IsCompleted": true,
"OrderTotal": 123,
"Customer": {
"Id": 123,
"OriginalId": "<string>",
"Name": "<string>",
"Email": "<string>",
"Locale": "<string>",
"Phone": "<string>",
"BirthdayDate": "2023-11-07T05:31:56Z",
"SignupDate": "2023-11-07T05:31:56Z",
"Document": "<string>",
"IsEnrolled": true,
"PointsBalance": 123,
"BalanceOfPoints": 123,
"Cashback": 123,
"BirthdayUpdateDate": "2023-11-07T05:31:56Z",
"FirstName": "<string>",
"PublicId": "<string>",
"SecondaryId": "<string>",
"OrderCount": 123,
"ReasonEnrolled": "<string>",
"AdminId": 123,
"EmailAdmin": "<string>",
"EnrolledDate": "2023-11-07T05:31:56Z",
"TierName": "<string>",
"Origin": 0,
"RfmGroup": 0,
"RfmGroupName": "<string>",
"SegmentTags": [
"<string>"
],
"Affiliate": {
"Id": 123,
"CustomerId": 123,
"IsActive": true,
"AffiliateCoupon": "<string>",
"LastUpdated": "2023-11-07T05:31:56Z",
"CouponHistories": [
{
"Id": 123,
"AffiliateId": 123,
"Coupon": "<string>",
"AssociatedDate": "2023-11-07T05:31:56Z"
}
]
},
"AffiliateCode": "<string>",
"AffiliateCodeAssignedAt": "2023-11-07T05:31:56Z"
},
"Products": [
{
"OriginalId": "<string>",
"Title": "<string>",
"Url": "<string>",
"ImageUrl": "<string>",
"IsActive": true,
"ProductPrice": 123
}
],
"UpdatedDate": "2023-11-07T05:31:56Z",
"Coupon": "<string>",
"State": 0,
"Origin": 0,
"Branch": {
"Id": 123,
"OriginalId": "<string>",
"Name": "<string>"
},
"TenantSalesman": {
"Id": 123,
"OriginalId": "<string>",
"Name": "<string>",
"Store": "<string>",
"Branch": {
"Id": 123,
"OriginalId": "<string>",
"Name": "<string>"
},
"BranchId": 123
},
"Metadatas": [
{
"Id": 123,
"OrderId": 123,
"Name": "<string>",
"Value": "<string>"
}
],
"ExternalCoupon": "<string>",
"RedeemedReward": {
"Id": 123,
"ExternalCode": "<string>",
"CashValue": 123,
"IsCanceled": true,
"RedeemDate": "2023-11-07T05:31:56Z",
"Points": {
"Id": 123,
"Points": 123,
"Type": 0,
"EventKey": "<string>"
},
"Coupon": {
"CouponCode": "<string>",
"CreatedDate": "2023-11-07T05:31:56Z",
"IsUsed": true,
"CouponValue": 123,
"CustomerId": 123,
"ValidDateStart": "2023-11-07T05:31:56Z",
"ValidDateEnd": "2023-11-07T05:31:56Z",
"CouponType": 0
}
}
}Authorizations
Use API Basic Auth Keys
Path Parameters
Response
This class represents a request with an external Id (such as OrderId) in a third-party system
This is the Id in the third party system.
Date of the customer's purchase.
Date the order reached the completed state (usually it's invoiced or delivered).
if the order is cancelled, contains the date.
Status at the client's order system.
if true the order was cancelled or returned.
If true it means the order has reached its final status and points can be awarded to the consumer.
Can be used at Loyalty Programs. Important: these values should not include Shipping costs.
Buyer registration.
Show child attributes
Show child attributes
Products listed on the order.
Show child attributes
Show child attributes
the date from the last update on this order.
Coupon code used on this order.
Order State: 0=Inicial, 1= Pendente, 2=Completo, 3=Cancelado, 4=Ignorado
0, 1, 2, 3, 4 How this order was integrated into BonifiQ 0 = Order Integration with ecommerce platform 1 = External API 2 = File import
0, 1, 2, 3, 4 Branch associated with this order, when available.
Show child attributes
Show child attributes
Salesman associated with this order, when available.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
This is the "official" field for coupons from the ecomm platform - normally used for affiliate Coupon
Reward used in this order (if any)
Show child attributes
Show child attributes
Was this page helpful?